Create API Key
POST
https://api.coralogix.com/mgmt/openapi/3/aaa/api-keys/v3No description available
Authorizations
Authorizationrequired
API key authentication
The value is a Coralogix API key. Create a personal or team API key and assign its permissions.
Request
Body
application/json
accessPolicy#string
JSON string representing the access policy for this API key. Defines granular permissions for users and groups.
Example:
{"version":"2025-01-01","default":{"permissions":{"data-ingest-api-keys:ReadAccessPolicy":"grant","data-ingest-api-keys:Manage":"deny","data-ingest-api-keys:UpdateAccessPolicy":"deny","data-ingest-api-keys:ReadConfig":"grant"}},"rules":[]}hashed#boolean
Example:
trueThis data structure allows to specify loose permissions and permission presets for an API key.
name#string
Example:
my_api_keyResponse
application/json
This data structure is the response obtained when creating an API key.